        
$(document).ready(function() {

    $('.counter').each(function () {
$(this).prop('Counter',0).animate({
    Counter: $(this).text()
}, {
    duration: 4000,
    easing: 'swing',
    step: function (now) {
        $(this).text(Math.ceil(now));
    }
});
});

});  
$(".telePhone").intlTelInput({
    preferredCountries: ["in", "us"],
    initialCountry: "in",
    separateDialCode: true,
});

$('.iti__country-list li').click(function(){
$("#code").val($(this).data('dial-code'));
$(".mobile").val($(this).data('country-code-code'));
$('.countryName').val($(".iti__country-name", this).text());
$(".code").val($(this).data('dial-code'));
$('.countryName').val($(".iti__country-name", this).text());
$('.countryName1').val($(".iti__country-name", this).text());
});
$(function () {
    function stickyHeader() {
        if ($('.menubar').length) {
            var strickyScrollPos = 100;
            if ($(window).scrollTop() > strickyScrollPos) {
                $('.menubar').addClass('stricky-fixed');
            } else if ($(this).scrollTop() <= strickyScrollPos) {
                $('.menubar').removeClass('stricky-fixed');
            }
        };
    }

    jQuery(window).on('scroll', function () {
        (function ($) {
            stickyHeader();
        })(jQuery);
    });


    if ($(".navigation").length) {
        $(".navigation .navbar button").on("click", function () {
            $(".navigation .menu").slideToggle();
            $(this).toggleClass('open');
            return false;
        });
        $(".navigation .cs-submenu").children("a").append(function () {
            return '<button class="dropdown-expander"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z"/></svg></button>';
        });

    }

    if (document.documentElement.clientWidth < 1023) {
        $(".navigation .menu .dropdown-expander").on("click", function () {
            $(this).parent().parent().children(".cs-dropdown").slideToggle();
            console.log($(this).parents("li"));
            console.log($(this).parents().children(".dropdown-expander").toggleClass("rotated"));
            return false
        })
        $(document).click(function (e) {
            if (!$(e.target).closest('.navigation .navbar button').length) {
                $('.navigation .menu').stop(true).slideUp();
                $(".navigation .navbar button").removeClass('open');

            }
        });
    }


    var featuredProducts = $(".featuredProducts");
    featuredProducts.owlCarousel({
        loop: true,
        margin: 20,
        navSpeed: 500,
        nav: true,
        navText: ['<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z"/></svg>', '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z"/></svg>'],
        autoplay: false,
        dots: false,
        items: 4,
        responsiveClass: true,
        responsive: {
            0: {
                items: 1
            },
            768: {
                items:2,
            },
            1024: {
                items: 3
            },
            1100: {
                items: 4
            }
        }
    });


    var testimonials = $("#testimonials");
    testimonials.owlCarousel({
        loop: true,
        margin: 15,
        navSpeed: 500,
        nav: false,
        navText: ['<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z"/></svg>', '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z"/></svg>'],
        autoplay: true,
        dots: true,
        items: 1,
        responsiveClass: true,
        responsive: {
            0: {
                items: 1
            },
            600: {
                items: 1,
            },
            1024: {
                items: 1
            },
            1100: {
                items: 1
            }
        }
    });


    var clients = $("#clients");
    clients.owlCarousel({
        loop: true,
        margin: 10,
        navSpeed: 500,
        nav: false,
        navText: ['<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z"/></svg>', '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z"/></svg>'],
        autoplay: true,
        dots: true,
        items: 6,
        responsiveClass: true,
        responsive: {
            0: {
                items: 2
            },
            600: {
                items: 2,
            },
            1024: {
                items: 6
            },
            1100: {
                items: 6
            }
        }
    });


    // wow = new WOW({
    //     animateClass: 'animated',
    //     offset: 100,
    //     mobile: false
    // });
    // wow.init();
    $(window).on('scroll', function () {
        if ($(this).scrollTop() > 100) {
            $('#web-pulse-scroll-up').fadeIn();
        } else {
            $('#web-pulse-scroll-up').fadeOut();
        }
    });
    $('#web-pulse-scroll-up').on('click', function () {
        $("html, body").animate({
            scrollTop: 0
        }, 600);
        return false;
    });

    lozad('.lozad', {
        load: function (el) {
            el.src = el.dataset.src;
            el.onload = function () {
                el.classList.add('fadess')
            }
        }
    }).observe();
    $('#thumbs img').click(function () {
        $('#largeImage').attr('src', $(this).attr('src').replace('thumb', 'large'));
        if ($(this).hasClass("active")) {
            $("#thumbs img").removeClass("active");
        } else {
            $("#thumbs img").removeClass("active");
            $(this).addClass("active");
        }
    });

    function ValidateAlpha(evt) {
        var keyCode = (evt.which) ? evt.which : evt.keyCode
        if ((keyCode < 65 || keyCode > 90) && (keyCode < 97 || keyCode > 123) && keyCode != 32)

            return false;
        return true;
    }

    function isNumberKey(evt) {
        //var e = evt || window.event;
        var charCode = (evt.which) ? evt.which : evt.keyCode
        if (charCode != 46 && charCode > 31 &&
            (charCode < 48 || charCode > 57))
            return false;
        return true;
    }

    function validateOnlyTextField(element) {
        var str = element.value;
        if (str == ' ') {
            element.value = "";
        }
        if (!(/^[a-zA-Z\s]+$/.test(str))) {
            // console.log('String contain number characters');
            str = str.substr(0, str.length - 1);
            element.value = "";
        }
    }
});
if(typeof revslider_showDoubleJqueryError === "undefined") {function revslider_showDoubleJqueryError(sliderID) {console.log("You have some jquery.js library include that comes after the Slider Revolution files js inclusion.");console.log("To fix this, you can:");console.log("1. Set 'Module General Options' -> 'Advanced' -> 'jQuery & OutPut Filters' -> 'Put JS to Body' to on");console.log("2. Find the double jQuery.js inclusion and remove it");return "Double Included jQuery Library";}}
var	tpj = jQuery;
         
var	revapi5;

if(window.RS_MODULES === undefined) window.RS_MODULES = {};
if(RS_MODULES.modules === undefined) RS_MODULES.modules = {};
RS_MODULES.modules["revslider51"] = {init:function() {
    window.revapi5 = window.revapi5===undefined || window.revapi5===null || window.revapi5.length===0  ? document.getElementById("rev_slider_5_1") : window.revapi5;
    if(window.revapi5 === null || window.revapi5 === undefined || window.revapi5.length==0) return;
    window.revapi5 = jQuery(window.revapi5);
    if(window.revapi5.revolution==undefined){ revslider_showDoubleJqueryError("rev_slider_5_1"); return;}
    revapi5.revolutionInit({
            revapi:"revapi5",
            DPR:"dpr",
            visibilityLevels:"1240,1024,778,480",
            gridwidth:"1920,1024,768,480",
            gridheight:"602,530,450,350",
            lazyType:"smart",
            spinner:"spinner0",
            perspective:600,
            perspectiveType:"global",
            editorheight:"602,530,450,350",
            responsiveLevels:"1240,1024,778,480",
            progressBar:{disableProgressBar:true},
            navigation: {
                wheelCallDelay:1000,
                onHoverStop:false,
                bullets: {
                    enable:true,
                    tmp:"",
                    style:"bullet-1",
                    hide_onmobile:true,
                    hide_under:"991px",
                    v_offset:50,
                    space:20,
                    container:"layergrid"
                }
            },
            viewPort: {
                global:true,
                globalDist:"-200px",
                enable:false
            },
            fallbacks: {
                allowHTML5AutoPlayOnAndroid:true
            },
    });
    
}} ;// End of RevInitScript

if (window.RS_MODULES.checkMinimal!==undefined) { window.RS_MODULES.checkMinimal();};
setREVStartSize({
    c: 'rev_slider_5_1',
    rl: [1240, 1024, 778, 480],
    el: [602, 530, 450, 350],
    gw: [1920, 1024, 768, 480],
    gh: [602, 530, 450, 350],
    type: 'standard',
    justify: '',
    layout: 'fullwidth',
    mh: "0"
});
if (window.RS_MODULES !== undefined && window.RS_MODULES.modules !== undefined && window.RS_MODULES.modules[
        "revslider51"] !== undefined) {
    window.RS_MODULES.modules["revslider51"].once = false;
    window.revapi5 = undefined;
    window.RS_MODULES.checkMinimal()
};
